package com.ruoyi.applet.service;

import com.cyl.h5.pojo.request.CancelOrderRequest;
import com.cyl.h5.pojo.request.OrderPayRequest;
import com.cyl.h5.pojo.response.OrderPayResponse;
import com.cyl.h5.pojo.vo.H5OrderVO;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.model.domain.OmsOrderEvaluation;
import org.springframework.data.domain.PageImpl;
import org.springframework.data.domain.Pageable;

import java.util.List;

public interface IApiMallOrderService {


    //下单端小程序 - 查看订单列表信息
    PageImpl<H5OrderVO> orderPageByOpenid(List<Integer> status, String openId, Pageable pageable);


    //下单小程序端 - 根据订单标识查询订单详情
    H5OrderVO orderDetail(Long orderId);


    //下单小程序端 - 根据订单标识取消订单
    String orderBatchCancel(CancelOrderRequest request, Long userId);


    //下单小程序端 - 根据订单标识去评价
    OmsOrderEvaluation orderEvaluate(OmsOrderEvaluation evaluation);



    //再次支付
    OrderPayResponse orderPay(OrderPayRequest req);
}
